<div class="productDefinitionMain">
    <h1>
        <p *ngIf="(productDefinitions$ | async)?.length">Product Definitions</p>
    </h1>
    <!-- <div *ngFor="let pd of productDefinitions$ | async">
        <div>
            {{ pd.caption }}
        </div>
    </div> -->

    <div>
        <form (ngSubmit)="onSubmit()" [formGroup]="form">
            <div *ngFor="let pd of productsDetails" class="form-row">
                <cs-product-control
                    [productsData]="pd"
                    [form]="form"
                ></cs-product-control>
            </div>
        </form>
    </div>
</div>
